import React from 'react';
import { ThemeColors, ThemeIconSize, ThemeMargin, ThemeTextSize } from '../../theme';
import { IconType } from '../Icon';
declare type Props = {
    iconType: keyof IconType;
    iconSize: ThemeIconSize;
    iconColor?: ThemeColors;
    margin?: ThemeMargin;
    textSize: ThemeTextSize;
    color?: ThemeColors;
    text: string;
    className?: string;
    iconSide?: 'left' | 'right';
};
/**
 * The `IconText` renders an icon next to a text
 */
declare const IconText: ({ iconSize, margin, textSize, iconType, iconColor, text, iconSide, color, className, }: Props) => React.ReactElement;
export default IconText;
