import React from 'react';
export declare enum TableAlignment {
    left = "left",
    right = "right",
    center = "center"
}
export declare enum TableSortDirection {
    asc = "asc",
    desc = "desc"
}
export declare type TableHeader = {
    id: string;
    alignment?: TableAlignment;
    label: string;
    hideSortIcon?: boolean;
};
declare type RowCells = {
    id?: string;
    alignment?: TableAlignment;
    content: React.ReactNode;
};
export declare type TableRow = {
    id: string;
    collapsibleContent?: React.ReactNode;
    cells: RowCells[];
};
declare type Props = {
    rows: TableRow[];
    headers?: TableHeader[];
    isCollapsible?: boolean;
    className?: string;
    selectedRowIds?: Set<string>;
    sortedByHeaderId?: string;
    sortDirection?: TableSortDirection;
    onHeaderClick?: (id: string) => void;
    onRowClick?: (id: string) => void;
    isStickyHeader?: boolean;
    maxHeight?: number;
};
export declare const Table: ({ rows, headers, isCollapsible, isStickyHeader, maxHeight, className, selectedRowIds, sortedByHeaderId, sortDirection, onRowClick, onHeaderClick, }: Props) => React.ReactElement;
export {};
