import React from 'react';
import { EllipsisMenuItem } from '../../';
import { ThemeTextSize, ThemeColors, ThemeIdenticonSize } from '../../theme';
import { ExplorerInfo } from '../../typings/misc';
declare type Props = {
    className?: string;
    hash: string;
    showHash?: boolean;
    shortenHash?: number;
    name?: string;
    strongName?: boolean;
    textColor?: ThemeColors;
    textSize?: ThemeTextSize;
    showAvatar?: boolean;
    customAvatar?: string;
    customAvatarFallback?: string;
    avatarSize?: ThemeIdenticonSize;
    showCopyBtn?: boolean;
    menuItems?: EllipsisMenuItem[];
    explorerUrl?: ExplorerInfo;
};
declare type ShortNameProps = {
    shouldShowShortName: boolean;
    shouldCopyShortName?: boolean;
    shortName: string;
} | {
    shouldShowShortName?: boolean;
    shouldCopyShortName: boolean;
    shortName: string;
} | {
    shouldShowShortName?: never;
    shouldCopyShortName?: never;
    shortName?: string;
};
declare type EthHashInfoProps = Props & ShortNameProps;
declare const EthHashInfo: ({ hash, showHash, name, strongName, textColor, textSize, className, shortenHash, showAvatar, customAvatar, customAvatarFallback, avatarSize, showCopyBtn, menuItems, explorerUrl, shortName, shouldShowShortName, shouldCopyShortName, }: EthHashInfoProps) => React.ReactElement;
export default EthHashInfo;
