import React from 'react';
import { SelectProps as SelectMuiProps } from '@material-ui/core/Select';
export declare type SelectItem = {
    id: string;
    label: string;
    subLabel?: string;
    iconUrl?: string;
};
declare type SelectProps = {
    id?: string;
    name: string;
    label: string;
    error?: string;
    helperText?: string | undefined;
    showErrorsInTheLabel?: boolean | undefined;
    items: Array<SelectItem>;
    activeItemId: string;
    onItemClick: (id: string) => void;
    fallbackImage?: string;
} & Omit<SelectMuiProps, 'error'>;
declare function Select({ id, name, label, error, helperText, showErrorsInTheLabel, items, activeItemId, onItemClick, fallbackImage, fullWidth, disabled, ...rest }: SelectProps): React.ReactElement;
export default Select;
