declare const theme: {
    buttons: {
        size: {
            md: {
                height: string;
                minWidth: string;
                padding: string;
            };
            lg: {
                height: string;
                minWidth: string;
                padding: string;
            };
        };
    };
    colors: {
        primary: string;
        primaryLight: string;
        primaryHover: string;
        secondary: string;
        secondaryLight: string;
        secondaryHover: string;
        error: string;
        errorHover: string;
        errorTooltip: string;
        text: string;
        icon: string;
        placeHolder: string;
        inputField: string;
        separator: string;
        rinkeby: string;
        pendingTagHover: string;
        tag: string;
        background: string;
        white: string;
        warning: string;
        pending: string;
        inputText: string;
        inputDisabled: string;
        inputDefault: string;
        inputFilled: string;
        disabled: {
            opacity: number;
        };
        overlay: {
            opacity: number;
            color: string;
        };
        shadow: {
            blur: string;
            opacity: number;
            color: string;
        };
    };
    statusDot: {
        size: {
            sm: string;
            md: string;
        };
    };
    fonts: {
        fontFamily: string;
        fontFamilyCode: string;
    };
    margin: {
        xxs: string;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        xxl: string;
    };
    icons: {
        size: {
            sm: string;
            md: string;
        };
    };
    iconText: {
        size: {
            sm: null;
            md: null;
        };
    };
    identicon: {
        size: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
            xxl: string;
        };
    };
    loader: {
        size: {
            xxs: string;
            xs: string;
            sm: string;
            md: string;
            lg: string;
        };
    };
    text: {
        size: {
            sm: {
                fontSize: string;
                lineHeight: string;
            };
            md: {
                fontSize: string;
                lineHeight: string;
            };
            lg: {
                fontSize: string;
                lineHeight: string;
            };
            xl: {
                fontSize: string;
                lineHeight: string;
            };
        };
    };
    title: {
        size: {
            xs: {
                fontSize: string;
                lineHeight: string;
            };
            sm: {
                fontSize: string;
                lineHeight: string;
            };
            md: {
                fontSize: string;
                lineHeight: string;
            };
            lg: {
                fontSize: string;
                lineHeight: string;
            };
            xl: {
                fontSize: string;
                lineHeight: string;
            };
        };
    };
    tooltip: {
        size: {
            md: string;
            lg: string;
        };
    };
};
export declare type Theme = typeof theme;
export declare type ThemeButtonSize = keyof Theme['buttons']['size'];
export declare type ThemeColors = keyof Theme['colors'];
export declare type ThemeIdenticonSize = keyof Theme['identicon']['size'];
export declare type ThemeIconSize = keyof Theme['icons']['size'];
export declare type ThemeMargin = keyof Theme['margin'];
export declare type ThemeLoaderSize = keyof Theme['loader']['size'];
export declare type ThemeStatusDotSize = keyof Theme['statusDot']['size'];
export declare type ThemeTextSize = keyof Theme['text']['size'];
export declare type ThemeTitleSize = keyof Theme['title']['size'];
export declare type ThemeTooltipSize = keyof Theme['tooltip']['size'];
export default theme;
